# ConsoleOutput

enum ConsoleOutput

Specifies how to treat color and dynamic console output.

## Entries

Plain
Link copied to clipboard
Plain

Disable all color and rich output. Generate plain text only.

Colored
Link copied to clipboard
Colored

Enable color output while omitting rich features such as progress bars.

Auto
Link copied to clipboard
Auto

Enable color and rich output when the current process is attached to a console, disable when not attached to a console.

Rich
Link copied to clipboard
Rich

Enable color and rich output, regardless of whether the current process is attached to a console or not. When not attached to a console, the color and rich output is encoded using ANSI control characters.

Verbose
Link copied to clipboard
Verbose

Enable color and rich output like Rich, but output more detailed message.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): ConsoleOutput

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<ConsoleOutput>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.